/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'smartstudy\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-arrow-back': '\E001;','icon-arrow-down': '\E002;','icon-arrow-more': '\E003;','icon-arrow-right': '\E004;','icon-book': '\E005;','icon-checkbox': '\E006;','icon-close': '\E007;','icon-comment': '\E008;','icon-correct': '\E009;','icon-down': '\E00A;','icon-error': '\E00B;','icon-loading': '\E00C;','icon-m-baidu': '\E00D;','icon-m-buy': '\E00E;','icon-m-card-bg': '\E00F;','icon-m-code': '\E010;','icon-m-course': '\E011;','icon-m-down': '\E012;','icon-m-home1': '\E013;','icon-m-lock': '\E014;','icon-m-my': '\E015;','icon-m-password': '\E016;','icon-m-phone': '\E017;','icon-m-qq': '\E018;','icon-m-teacher': '\E019;','icon-m-up': '\E01A;','icon-m-user': '\E01B;','icon-m-weibo': '\E01C;','icon-m-weixin': '\E01D;','icon-new-baidu': '\E01E;','icon-new-qq': '\E01F;','icon-new-sina': '\E020;','icon-new-weixin': '\E021;','icon-pay-arrow-right': '\E022;','icon-pay-card1': '\E023;','icon-pay-card2': '\E024;','icon-pay-card3': '\E025;','icon-pay-card4': '\E026;','icon-pay-checked1': '\E027;','icon-pay-checked2': '\E028;','icon-pay-close': '\E029;','icon-pay-success': '\E02A;','icon-pay-warn': '\E02B;','icon-pay-weixin-im': '\E02C;','icon-pigai-add': '\E02D;','icon-pigai-reduce': '\E02E;','icon-practice': '\E02F;','icon-recording-live': '\E030;','icon-recording-playing': '\E031;','icon-search': '\E032;','icon-speaker': '\E033;','icon-stars': '\E034;','icon-success': '\E035;','icon-teacher-default': '\E036;','icon-up': '\E037;','icon-video': '\E038;','icon-warn': '\E039;','icon-weixin-pay': '\E03A;','icon-zhifubao-pay': '\E03B;','icon-zhike-logo': '\E03C;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());