'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月6日
 *  按钮
 */
var Button = function (_React$Component) {
    (0, _inherits3.default)(Button, _React$Component);

    function Button() {
        (0, _classCallCheck3.default)(this, Button);
        return (0, _possibleConstructorReturn3.default)(this, (Button.__proto__ || (0, _getPrototypeOf2.default)(Button)).apply(this, arguments));
    }

    (0, _createClass3.default)(Button, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var type = _props.type;
            var size = _props.size;
            var disabled = _props.disabled;
            var plain = _props.plain;
            var hover = _props.hover;
            var className = _props.className;
            var children = _props.children;
            var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'size', 'disabled', 'plain', 'hover', 'className', 'children']);

            var Component = this.props.href ? 'a' : 'button';
            var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
                smartui_btn: true,

                smartui_btn_primary: type === 'primary',
                smartui_btn_default: type === 'default',
                smartui_btn_warn: type === 'warn',
                smartui_btn_active: type === 'active',

                smartui_btn_plain_primary: type === 'primary' && plain,
                smartui_btn_plain_default: type === 'default' && plain,
                smartui_btn_plain_warn: type === 'warn' && plain,
                smartui_btn_plain_active: type === 'active' && plain,

                smartui_btn_disabled_primary: type === 'primary' && disabled,
                smartui_btn_disabled_default: type === 'default' && disabled,
                smartui_btn_disabled_warn: type === 'warn' && disabled,
                smartui_btn_disabled_active: type === 'active' && disabled,

                smartui_btn_hover_primary: type === 'primary' && !(!!disabled && !hover),
                smartui_btn_hover_default: type === 'default' && !(!!disabled && !hover),
                smartui_btn_hover_warn: type === 'warn' && !(!!disabled && !hover),
                smartui_btn_hover_active: type === 'active' && !(!!disabled && !hover),

                smartui_btn_small: size === 'small',
                smartui_btn_big: size === 'big'

            }, className, className));

            return _react2.default.createElement(
                Component,
                (0, _extends3.default)({}, others, { className: cls }),
                children
            );
        }
    }]);
    return Button;
}(_react2.default.Component);

Button.propTypes = {
    disabled: _react2.default.PropTypes.bool,
    type: _react2.default.PropTypes.string,
    size: _react2.default.PropTypes.string
};
Button.defaultProps = {
    disabled: false,
    type: 'primary',
    size: 'normal'
};
exports.default = Button;
;