/**
 *  Created by beth on 2016年9月28日
 *  CardAvatar
 */

"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _panel = require('../panel');

var _layout = require('../layout');

var _slick = require('../slick');

var _text = require('../text');

var _text2 = _interopRequireDefault(_text);

var _button = require('../button');

var _image = require('../image');

var _image2 = _interopRequireDefault(_image);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardAvatar = function (_React$Component) {
  (0, _inherits3.default)(CardAvatar, _React$Component);

  function CardAvatar(props) {
    (0, _classCallCheck3.default)(this, CardAvatar);

    var _this = (0, _possibleConstructorReturn3.default)(this, (CardAvatar.__proto__ || (0, _getPrototypeOf2.default)(CardAvatar)).call(this, props));

    _this.returnTeacherIntroduction = _this.returnTeacherIntroduction.bind(_this);
    _this.returnIntroduction = _this.returnIntroduction.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(CardAvatar, [{
    key: 'returnTeacherPicture',


    /**
     * 返回老师图片
     * **/
    value: function returnTeacherPicture(type, teacher) {

      var triangle = '';
      // let style = {'background': 'url("http://media8.smartstudy.com/smartstudy/images/teacher-bg.jpg")'};
      var style = {};
      if (type == 'right') {
        triangle = _react2.default.createElement('div', { className: 'img-triangle-left' });
        style = { 'marginLeft': '8px' };
      }
      if (type == 'left') {
        triangle = _react2.default.createElement('div', { className: 'img-triangle-right' });
      }

      return _react2.default.createElement(
        'div',
        { className: 'teacher-picture', style: style },
        _react2.default.createElement(
          'a',
          { className: 'teacher-portrait' },
          _react2.default.createElement('img', { className: 'avatar', src: this.props.src, alt: this.props.name, title: this.props.name })
        ),
        triangle
      );
    }
  }, {
    key: 'returnTeacherIntroduction',


    /**
     * 返回老师信息
     * **/
    value: function returnTeacherIntroduction(type, name) {
      if (!name) {
        return null;
      }
      var triangle = '';
      var style = {};
      var lineStyle = {};
      if (type == 'right') {
        triangle = _react2.default.createElement('div', { className: 'info-triangle-right' });
        style = { textAlign: 'right' };
        lineStyle = { float: 'right' };
      }
      if (type == 'left') {
        style = { 'marginLeft': '8px' };
        triangle = _react2.default.createElement('div', { className: 'info-triangle-left' });
      }
      return _react2.default.createElement(
        'div',
        { className: 'teacher-info', style: style },
        _react2.default.createElement(
          'div',
          null,
          name
        ),
        _react2.default.createElement(
          'p',
          { className: 'line' },
          _react2.default.createElement('span', { className: 'line-white', style: lineStyle })
        ),
        this.returnIntroduction(this.props.introduction),
        triangle
      );
    }
  }, {
    key: 'returnIntroduction',
    value: function returnIntroduction(introduction) {
      return _react2.default.createElement(
        'div',
        { className: 'teacher-introduction' },
        introduction
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var className = _props.className;
      var type = _props.type;
      var name = _props.name;
      var introduction = _props.introduction;
      var publications = _props.publications;
      var src = _props.src;
      var data = _props.data;
      var cntIndex = _props.cntIndex;
      var switchCntIndex = _props.switchCntIndex;
      var children = _props.children;
      var others = (0, _objectWithoutProperties3.default)(_props, ['className', 'type', 'name', 'introduction', 'publications', 'src', 'data', 'cntIndex', 'switchCntIndex', 'children']);

      var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
        smartui_card_teachers: true
      }, className, className));

      if (this.props.type == 'right') {
        return _react2.default.createElement(
          'div',
          { className: 'teacher-items' },
          this.returnTeacherIntroduction(this.props.type, this.props.name),
          this.returnTeacherPicture(this.props.type, this.props.name)
        );
      } else {
        return _react2.default.createElement(
          'div',
          { className: 'teacher-items' },
          this.returnTeacherPicture(this.props.type, this.props.name),
          this.returnTeacherIntroduction(this.props.type, this.props.name)
        );
      }
    }
  }]);
  return CardAvatar;
}(_react2.default.Component);

exports.default = CardAvatar;
;