'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _mask = require('../mask');

var _mask2 = _interopRequireDefault(_mask);

var _button = require('../button');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月9日
 *  placeholder
 */

var Confirm = function (_React$Component) {
    (0, _inherits3.default)(Confirm, _React$Component);

    function Confirm() {
        (0, _classCallCheck3.default)(this, Confirm);
        return (0, _possibleConstructorReturn3.default)(this, (Confirm.__proto__ || (0, _getPrototypeOf2.default)(Confirm)).apply(this, arguments));
    }

    (0, _createClass3.default)(Confirm, [{
        key: 'renderButtons',
        value: function renderButtons() {
            return this.props.buttons.map(function (action, idx) {
                var type = action.type;
                var label = action.label;
                var others = (0, _objectWithoutProperties3.default)(action, ['type', 'label']);

                var className = (0, _classnames2.default)({
                    smartui_btn_dialog: true
                });

                return _react2.default.createElement(
                    _button.Button,
                    (0, _extends3.default)({ key: idx, type: type, href: 'javascript:;' }, others, { className: className }),
                    label
                );
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props;
            var title = _props.title;
            var show = _props.show;
            var children = _props.children;


            return _react2.default.createElement(
                'div',
                { className: 'smartui_dialog_confirm', style: { display: show ? 'block' : 'none' } },
                _react2.default.createElement(_mask2.default, null),
                _react2.default.createElement(
                    'div',
                    { className: 'smartui_dialog' },
                    _react2.default.createElement(
                        'div',
                        { className: 'smartui_dialog_hd' },
                        _react2.default.createElement(
                            'strong',
                            { className: 'smartui_dialog_title' },
                            title
                        )
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: 'smartui_dialog_bd' },
                        children
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: 'smartui_dialog_ft' },
                        _react2.default.createElement(
                            _button.ButtonArea,
                            null,
                            this.renderButtons()
                        )
                    )
                )
            );
        }
    }]);
    return Confirm;
}(_react2.default.Component);

Confirm.propTypes = {
    buttons: _react2.default.PropTypes.array,
    show: _react2.default.PropTypes.bool,
    title: _react2.default.PropTypes.string
};
Confirm.defaultProps = {
    buttons: [],
    show: false,
    title: ''
};
exports.default = Confirm;