'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactPaginate = require('react-paginate');

var _reactPaginate2 = _interopRequireDefault(_reactPaginate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
	props
	page: 当前页（1开始）
	pageSize： 
	total: 
	onChange：
*/

/**
 *  Created by beth on 2016年9月13日
 *  Pagination
 */

var Pagination = function (_React$Component) {
	(0, _inherits3.default)(Pagination, _React$Component);

	function Pagination(props) {
		(0, _classCallCheck3.default)(this, Pagination);

		var _this = (0, _possibleConstructorReturn3.default)(this, (Pagination.__proto__ || (0, _getPrototypeOf2.default)(Pagination)).call(this, props));

		_this.handlePageClick = _this.handlePageClick.bind(_this);
		return _this;
	}

	(0, _createClass3.default)(Pagination, [{
		key: 'handlePageClick',
		value: function handlePageClick(val) {
			if (typeof this.props.onChange === 'function') {
				this.props.onChange(val.selected + 1);
			}
		}
	}, {
		key: 'render',
		value: function render() {
			var pageSize = +(this.props.pageSize || 10);
			var currentPage = +(this.props.page || 1) - 1;
			var total = this.props.total || 0;

			var pageCount = Math.ceil(total / pageSize);

			return _react2.default.createElement(_reactPaginate2.default, {
				previousLabel: _react2.default.createElement('i', { className: 'icon-arrow-right' }),
				nextLabel: _react2.default.createElement('i', { className: 'icon-arrow-right' }),
				pageNum: pageCount,
				forceSelected: currentPage,
				marginPagesDisplayed: 2,
				pageRangeDisplayed: 5,
				breakLabel: _react2.default.createElement(
					'span',
					null,
					'...'
				),
				clickCallback: this.handlePageClick,
				containerClassName: "pagination-container",
				subContainerClassName: "pagination-sub-container",
				pageClassName: "page-number",
				pageLinkClassName: "page-link",
				activeClassName: "page-active",
				previousClassName: "previous-page",
				nextClassName: "next-page",
				previousLinkClassName: "previous-link",
				nextLinkClassName: "next-link",
				disabledClassName: "disabled-page" });
		}
	}]);
	return Pagination;
}(_react2.default.Component);

Pagination.propTypes = {
	page: _react2.default.PropTypes.number
};
Pagination.defaultProps = {
	page: 1
};
exports.default = Pagination;