"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SimpleArrow = function (_React$Component) {
    (0, _inherits3.default)(SimpleArrow, _React$Component);

    function SimpleArrow() {
        (0, _classCallCheck3.default)(this, SimpleArrow);
        return (0, _possibleConstructorReturn3.default)(this, (SimpleArrow.__proto__ || (0, _getPrototypeOf2.default)(SimpleArrow)).apply(this, arguments));
    }

    (0, _createClass3.default)(SimpleArrow, [{
        key: 'render',
        value: function render() {
            var _classNames;

            var _props = this.props;
            var type = _props.type;
            var className = _props.className;
            var clickHandle = _props.clickHandle;
            var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'className', 'clickHandle']);


            var cls = (0, _classnames2.default)((_classNames = {
                smartui_arrow: true
            }, (0, _defineProperty3.default)(_classNames, 'smartui_slick_' + type, type), (0, _defineProperty3.default)(_classNames, className, className), _classNames));

            return _react2.default.createElement(
                'div',
                { className: cls, onClick: clickHandle },
                type === 'prev' ? _react2.default.createElement(_icon2.default, { value: 'arrow-right' }) : _react2.default.createElement(_icon2.default, { value: 'arrow-right' })
            );
        }
    }]);
    return SimpleArrow;
}(_react2.default.Component);

SimpleArrow.defaultProps = {
    type: 'next'
};
exports.default = SimpleArrow;
;