'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactSlick = require('react-slick');

var _reactSlick2 = _interopRequireDefault(_reactSlick);

var _simple_arrow = require('./simple_arrow');

var _simple_arrow2 = _interopRequireDefault(_simple_arrow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SlickSlider = function (_React$Component) {
  (0, _inherits3.default)(SlickSlider, _React$Component);

  function SlickSlider(props) {
    (0, _classCallCheck3.default)(this, SlickSlider);

    var _this = (0, _possibleConstructorReturn3.default)(this, (SlickSlider.__proto__ || (0, _getPrototypeOf2.default)(SlickSlider)).call(this, props));

    _this.getLists = _this.getLists.bind(_this);
    _this.next = _this.next.bind(_this);
    _this.previous = _this.previous.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(SlickSlider, [{
    key: 'getLists',
    value: function getLists(data) {
      if (data && data.length) {
        return data.map(function (item, index) {
          return _react2.default.createElement(
            'a',
            { target: '_blank', key: index },
            _react2.default.createElement('img', { src: item.imageUrl, width: item.width, height: 368 })
          );
        });
      } else {
        return null;
      }
    }
  }, {
    key: 'next',
    value: function next() {
      this.refs.slider.slickNext();
    }
  }, {
    key: 'previous',
    value: function previous() {
      this.refs.slider.slickPrev();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var type = _props.type;
      var data = _props.data;
      var className = _props.className;
      var settings = _props.settings;
      var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'data', 'className', 'settings']);


      var settingsDefault = {
        swipe: false,
        dots: true,
        arrows: true,
        autoplay: true,
        lazyLoad: true,
        infinite: true,
        speed: 1000,
        slidesToShow: 1,
        slidesToScroll: 1,
        nextArrow: _react2.default.createElement(_simple_arrow2.default, { type: 'next', clickHandle: this.next }),
        prevArrow: _react2.default.createElement(_simple_arrow2.default, { type: 'prev', clickHandle: this.previous })
      };

      if ((typeof settings === 'undefined' ? 'undefined' : (0, _typeof3.default)(settings)) === 'object') {
        settingsDefault = (0, _assign2.default)({}, settingsDefault, settings);
      }

      return _react2.default.createElement(
        'div',
        { className: "smartui_slick_" + type },
        _react2.default.createElement(
          _reactSlick2.default,
          (0, _extends3.default)({ ref: 'slider' }, settingsDefault),
          this.getLists(data)
        )
      );
    }
  }]);
  return SlickSlider;
}(_react2.default.Component); /**
                               *  Created by beth on 2016年9月13日
                               *  Slick
                               */

SlickSlider.propTypes = {
  page: _react2.default.PropTypes.number
};
SlickSlider.defaultProps = {
  page: 1
};
exports.default = SlickSlider;