'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactSlick = require('react-slick');

var _reactSlick2 = _interopRequireDefault(_reactSlick);

var _simple_arrow = require('./simple_arrow');

var _simple_arrow2 = _interopRequireDefault(_simple_arrow);

var _slick_teachers = require('./slick_teachers');

var _slick_teachers2 = _interopRequireDefault(_slick_teachers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SlickTeacher = function (_React$Component) {
  (0, _inherits3.default)(SlickTeacher, _React$Component);

  function SlickTeacher(props) {
    (0, _classCallCheck3.default)(this, SlickTeacher);

    var _this = (0, _possibleConstructorReturn3.default)(this, (SlickTeacher.__proto__ || (0, _getPrototypeOf2.default)(SlickTeacher)).call(this, props));

    _this.state = {
      cntIndex: 0,
      img: _this.props.data[0].imageUrl
    };
    _this.getLists = _this.getLists.bind(_this);
    _this.switchDetail = _this.switchDetail.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(SlickTeacher, [{
    key: 'getLists',
    value: function getLists(cntIndex, data) {
      var that = this;
      if (data && data.length) {
        return data.map(function (item, index) {
          var aCn = cntIndex === item.id ? 'active' : '';
          return _react2.default.createElement(
            'li',
            { key: index },
            _react2.default.createElement('img', { src: item.imageUrl }),
            _react2.default.createElement(
              'a',
              { className: aCn,
                href: 'javascript:;',
                onClick: that.switchDetail(item.id, item.imageUrl) },
              _react2.default.createElement('span', { className: 'mark' })
            )
          );
        });
      } else {
        return null;
      }
    }
  }, {
    key: 'switchDetail',
    value: function switchDetail(id, img) {
      var that = this;
      return function () {
        that.setState({
          cntIndex: id,
          img: img
        });
      };
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var type = _props.type;
      var cntIndex = _props.cntIndex;
      var data = _props.data;
      var className = _props.className;
      var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'cntIndex', 'data', 'className']);


      var style_teacher = {
        width: '100%',
        height: '400px',
        backgroundImage: 'url(' + this.state.img + ')',
        backgroundSize: '100% 100%'
      };

      var settings = {
        slidesToShow: 6
      };

      return _react2.default.createElement(
        'div',
        { className: 'smartui_slick_' + type, style: style_teacher },
        _react2.default.createElement(
          'ul',
          { className: 'slick_teacher_list' },
          this.getLists(this.state.cntIndex, data)
        )
      );
    }
  }]);
  return SlickTeacher;
}(_react2.default.Component); /**
                               *  Created by beth on 2016年9月13日
                               *  Slick
                               */

exports.default = SlickTeacher;