'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactSlick = require('react-slick');

var _reactSlick2 = _interopRequireDefault(_reactSlick);

var _simple_arrow = require('./simple_arrow');

var _simple_arrow2 = _interopRequireDefault(_simple_arrow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月13日
 *  Slick
 */

var shadowImg = require('./shadow.png');

var SlickTeachers = function (_React$Component) {
  (0, _inherits3.default)(SlickTeachers, _React$Component);

  function SlickTeachers(props) {
    (0, _classCallCheck3.default)(this, SlickTeachers);

    var _this = (0, _possibleConstructorReturn3.default)(this, (SlickTeachers.__proto__ || (0, _getPrototypeOf2.default)(SlickTeachers)).call(this, props));

    _this.getLists = _this.getLists.bind(_this);
    _this.next = _this.next.bind(_this);
    _this.previous = _this.previous.bind(_this);
    _this.switchDetail = _this.switchDetail.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(SlickTeachers, [{
    key: 'switchDetail',
    value: function switchDetail(id, img) {
      var that = this;
      return function () {
        that.props.onSwitch(id, img);
      };
    }
  }, {
    key: 'getLists',
    value: function getLists(cntIndex, data) {
      var that = this;
      if (data && data.length) {
        return data.map(function (item, index) {
          var liCn = cntIndex === item.id ? 'li active' : 'li';
          return _react2.default.createElement(
            'div',
            { key: item.id },
            _react2.default.createElement(
              'a',
              { href: 'javascript:;', className: liCn,
                onClick: that.switchDetail(item.id, item.imageUrl),
                style: { background: 'url(' + item.imageUrl + ')', backgroundSize: '100% 100%' } },
              _react2.default.createElement(
                'span',
                { className: 'teacher-name' },
                item.name
              ),
              _react2.default.createElement('span', { className: 'img', style: { backgroundImage: 'url("' + shadowImg + '")', backgroundSize: '100% 100%' } })
            )
          );
        });
      } else {
        return null;
      }
    }
  }, {
    key: 'next',
    value: function next() {
      this.refs.slider.slickNext();
    }
  }, {
    key: 'previous',
    value: function previous() {
      this.refs.slider.slickPrev();
    }
  }, {
    key: 'render',
    value: function render() {
      var _classNames;

      var _props = this.props;
      var type = _props.type;
      var cntIndex = _props.cntIndex;
      var data = _props.data;
      var className = _props.className;
      var settings = _props.settings;
      var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'cntIndex', 'data', 'className', 'settings']);

      var len = data.length;
      if (!len) {
        return null;
      }

      var cls_slick = (0, _classnames2.default)((_classNames = {}, (0, _defineProperty3.default)(_classNames, 'smartui_slick_' + type, type), (0, _defineProperty3.default)(_classNames, 'smartui_slick_' + type + '_btn', !(len > 6)), _classNames));

      var settingsDefault = {
        infinite: len > 6 ? true : false,
        swipe: false,
        speed: 500,
        slidesToShow: 6,
        slidesToScroll: 1,
        nextArrow: _react2.default.createElement(_simple_arrow2.default, { type: 'next', clickHandle: this.next }),
        prevArrow: _react2.default.createElement(_simple_arrow2.default, { type: 'prev', clickHandle: this.previous })
      };

      if ((typeof settings === 'undefined' ? 'undefined' : (0, _typeof3.default)(settings)) === 'object') {
        settingsDefault = (0, _assign2.default)({}, settingsDefault, settings);
      }

      return _react2.default.createElement(
        'div',
        { className: cls_slick },
        _react2.default.createElement(
          _reactSlick2.default,
          (0, _extends3.default)({ ref: 'slider' }, settingsDefault),
          this.getLists(cntIndex, data)
        )
      );
    }
  }]);
  return SlickTeachers;
}(_react2.default.Component);

exports.default = SlickTeachers;