'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月13日
 *  text
 */

var Text = function (_React$Component) {
    (0, _inherits3.default)(Text, _React$Component);

    function Text() {
        (0, _classCallCheck3.default)(this, Text);
        return (0, _possibleConstructorReturn3.default)(this, (Text.__proto__ || (0, _getPrototypeOf2.default)(Text)).apply(this, arguments));
    }

    (0, _createClass3.default)(Text, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var type = _props.type;
            var size = _props.size;
            var color = _props.color;
            var hover = _props.hover;
            var className = _props.className;
            var style = _props.style;
            var href = _props.href;
            var handleClick = _props.handleClick;
            var children = _props.children;
            var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'size', 'color', 'hover', 'className', 'style', 'href', 'handleClick', 'children']);


            var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
                smartui_text: true,
                smartui_text_link: type === 'link',
                smartui_text_link_main: hover
            }, className, className ? true : false));

            var style_size = {};
            if (color) {
                style_size = (0, _assign2.default)({}, {
                    fontSize: size ? size + 'px' : '14px',
                    color: color
                }, style);
            } else {
                style_size = (0, _assign2.default)({}, {
                    fontSize: size ? size + 'px' : '14px'
                }, style);
            }

            if (type === 'link' && href) {
                return _react2.default.createElement(
                    'a',
                    (0, _extends3.default)({ className: cls, href: href, style: style_size }, others),
                    children
                );
            } else if (type === 'link' && typeof handleClick === 'function') {
                return _react2.default.createElement(
                    'a',
                    (0, _extends3.default)({ className: cls, href: 'javascript:void;', onClick: handleClick, style: style_size }, others),
                    children
                );
            } else {
                return _react2.default.createElement(
                    'div',
                    (0, _extends3.default)({ className: cls, style: style_size }, others),
                    children
                );
            }
        }
    }]);
    return Text;
}(_react2.default.Component);

Text.defaultProps = {
    type: 'text'
};
exports.default = Text;