'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _index = require('../mask/index');

var _index2 = _interopRequireDefault(_index);

var _index3 = require('../icon/index');

var _index4 = _interopRequireDefault(_index3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by jf on 15/10/27.
 */

var Toast = function (_React$Component) {
    (0, _inherits3.default)(Toast, _React$Component);

    function Toast() {
        (0, _classCallCheck3.default)(this, Toast);
        return (0, _possibleConstructorReturn3.default)(this, (Toast.__proto__ || (0, _getPrototypeOf2.default)(Toast)).apply(this, arguments));
    }

    (0, _createClass3.default)(Toast, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var icon = _props.icon;
            var show = _props.show;
            var children = _props.children;
            var iconSize = _props.iconSize;


            return _react2.default.createElement(
                'div',
                { className: icon === 'loading' ? 'weui_loading_toast' : '', style: { display: show ? 'block' : 'none' } },
                _react2.default.createElement(_index2.default, { transparent: true }),
                _react2.default.createElement(
                    'div',
                    { className: 'weui_toast' },
                    _react2.default.createElement(_index4.default, { value: icon, size: iconSize }),
                    _react2.default.createElement(
                        'p',
                        { className: 'weui_toast_content' },
                        children
                    )
                )
            );
        }
    }]);
    return Toast;
}(_react2.default.Component);

Toast.propTypes = {
    icon: _react2.default.PropTypes.string,
    iconSize: _react2.default.PropTypes.string,
    show: _react2.default.PropTypes.bool
};
Toast.defaultProps = {
    icon: 'toast',
    show: false
};
exports.default = Toast;