/**
 *  Created by beth on 2016年9月28日
 *  CardTeachers
 */

"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _panel = require('../panel');

var _layout = require('../layout');

var _slick = require('../slick');

var _text = require('../text');

var _text2 = _interopRequireDefault(_text);

var _button = require('../button');

var _image = require('../image');

var _image2 = _interopRequireDefault(_image);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardTeachers = function (_React$Component) {
  (0, _inherits3.default)(CardTeachers, _React$Component);

  function CardTeachers() {
    (0, _classCallCheck3.default)(this, CardTeachers);
    return (0, _possibleConstructorReturn3.default)(this, (CardTeachers.__proto__ || (0, _getPrototypeOf2.default)(CardTeachers)).apply(this, arguments));
  }

  (0, _createClass3.default)(CardTeachers, [{
    key: 'render',
    value: function render() {
      var _props = this.props;
      var className = _props.className;
      var type = _props.type;
      var name = _props.name;
      var introduction = _props.introduction;
      var publications = _props.publications;
      var src = _props.src;
      var data = _props.data;
      var cntIndex = _props.cntIndex;
      var switchCntIndex = _props.switchCntIndex;
      var children = _props.children;
      var others = (0, _objectWithoutProperties3.default)(_props, ['className', 'type', 'name', 'introduction', 'publications', 'src', 'data', 'cntIndex', 'switchCntIndex', 'children']);

      var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
        smartui_card_teachers: true
      }, className, className));

      return _react2.default.createElement(
        _panel.Panel,
        (0, _extends3.default)({ className: cls }, others),
        _react2.default.createElement(
          _panel.PanelBody,
          { className: 'smartui_card_teachers_panel_body' },
          _react2.default.createElement(
            _layout.Grid,
            { fluid: true },
            _react2.default.createElement(
              _layout.Row,
              null,
              _react2.default.createElement(
                _layout.Col,
                { xs: 4 },
                _react2.default.createElement(
                  _text2.default,
                  { size: '22', style: { lineHeight: '1em', marginBottom: '30px' } },
                  '听他们的课是一种享受'
                ),
                _react2.default.createElement(
                  _text2.default,
                  { size: '16' },
                  name
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'smartui_card_teachers_text' },
                  _react2.default.createElement(
                    _text2.default,
                    { color: '#999', style: { marginBottom: '20px', textAlign: 'justify' } },
                    introduction
                  ),
                  _react2.default.createElement(
                    _text2.default,
                    { color: '#999', style: { textAlign: 'justify' } },
                    publications
                  )
                ),
                _react2.default.createElement(
                  _button.Button,
                  null,
                  '联系名师'
                )
              ),
              _react2.default.createElement(
                _layout.Col,
                { xs: 8 },
                _react2.default.createElement(_image2.default, { src: src, alt: name, height: 272 })
              )
            )
          )
        ),
        _react2.default.createElement(_slick.SlickTeachers, {
          type: 'teachers',
          cntIndex: cntIndex,
          data: data,
          onSwitch: function onSwitch(id) {
            return switchCntIndex(id);
          } })
      );
    }
  }]);
  return CardTeachers;
}(_react2.default.Component);

exports.default = CardTeachers;
;