'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by jf on 15/11/12.
 */

var Cells = function (_React$Component) {
    (0, _inherits3.default)(Cells, _React$Component);

    function Cells() {
        (0, _classCallCheck3.default)(this, Cells);
        return (0, _possibleConstructorReturn3.default)(this, (Cells.__proto__ || (0, _getPrototypeOf2.default)(Cells)).apply(this, arguments));
    }

    (0, _createClass3.default)(Cells, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var children = _props.children;
            var className = _props.className;
            var access = _props.access;
            var radio = _props.radio;
            var checkbox = _props.checkbox;
            var others = (0, _objectWithoutProperties3.default)(_props, ['children', 'className', 'access', 'radio', 'checkbox']);

            var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
                weui_cells: true,
                weui_cells_access: access
            }, className, className));

            return _react2.default.createElement(
                'div',
                (0, _extends3.default)({ className: cls }, others),
                children
            );
        }
    }]);
    return Cells;
}(_react2.default.Component);

Cells.propTypes = {
    access: _react2.default.PropTypes.bool,
    radio: _react2.default.PropTypes.bool,
    checkbox: _react2.default.PropTypes.bool
};
Cells.defaultProps = {
    access: false,
    radio: false,
    checkbox: false
};
exports.default = Cells;
;