'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月12日
 *  label
 */

var Label = function (_React$Component) {
    (0, _inherits3.default)(Label, _React$Component);

    function Label() {
        (0, _classCallCheck3.default)(this, Label);
        return (0, _possibleConstructorReturn3.default)(this, (Label.__proto__ || (0, _getPrototypeOf2.default)(Label)).apply(this, arguments));
    }

    (0, _createClass3.default)(Label, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var className = _props.className;
            var index = _props.index;
            var random = _props.random;
            var children = _props.children;
            var others = (0, _objectWithoutProperties3.default)(_props, ['className', 'index', 'random', 'children']);

            var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
                smartui_label: true,
                smartui_label_random: random
            }, className, className));

            var color = ['#7EC1FF', '#979CFF', '#79D9F5', '#f08849', '#ffc107', '#34cc99', '#f66e80'];
            var bg = color[0];
            if (-1 < index < 7) {
                bg = color[index];
            } else if (index > 6) {
                bg = color[Math.floor(Math.random() * 6)];
            }

            return _react2.default.createElement(
                'label',
                (0, _extends3.default)({ className: cls, style: { background: bg } }, others),
                children
            );
        }
    }]);
    return Label;
}(_react2.default.Component);

exports.default = Label;
;