'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Grid = require('./Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _Row = require('./Row');

var _Row2 = _interopRequireDefault(_Row);

var _Col = require('./Col');

var _Col2 = _interopRequireDefault(_Col);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Grids = function (_Component) {
  (0, _inherits3.default)(Grids, _Component);

  function Grids() {
    (0, _classCallCheck3.default)(this, Grids);
    return (0, _possibleConstructorReturn3.default)(this, (Grids.__proto__ || (0, _getPrototypeOf2.default)(Grids)).apply(this, arguments));
  }

  (0, _createClass3.default)(Grids, [{
    key: 'getListCol',
    value: function getListCol(xscol, data) {
      xscol = xscol ? xscol : 12 / data.length;
      if (xscol < 1 || xscol > 12) {
        xscol = 24;
      }
      // TODO: xs会出现warning

      return data.map(function (item, index) {
        return _react2.default.createElement(
          _Col2.default,
          { xs: xscol, key: 'smartui-layout-col-' + index },
          item
        );
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var style_gril = {
        padding: '0px'
      };

      var _props = this.props;
      var xs = _props.xs;
      var data = _props.data;
      var className = _props.className;
      var others = (0, _objectWithoutProperties3.default)(_props, ['xs', 'data', 'className']);


      return _react2.default.createElement(
        _Grid2.default,
        { fluid: true, style: style_gril },
        _react2.default.createElement(
          _Row2.default,
          null,
          this.getListCol(xs, data)
        )
      );
    }
  }]);
  return Grids;
}(_react.Component);

exports.default = Grids;