'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _menu_item = require('./menu_item');

var _menu_item2 = _interopRequireDefault(_menu_item);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Menu = function (_React$Component) {
  (0, _inherits3.default)(Menu, _React$Component);

  function Menu(props) {
    (0, _classCallCheck3.default)(this, Menu);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Menu.__proto__ || (0, _getPrototypeOf2.default)(Menu)).call(this, props));

    _this.handleClick = _this.handleClick.bind(_this);
    _this.handleToggle = _this.handleToggle.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(Menu, [{
    key: 'handleClick',
    value: function handleClick(nodeData) {
      //console.log('click bubble: node key=root');
      var key = nodeData.key;
      this._selectedKey = key;
      this._root.select(key);
      if (typeof this.props.onClick === 'function') {
        this.props.onClick(nodeData);
      }
    }
  }, {
    key: 'handleToggle',
    value: function handleToggle(nodeData, isOpen) {
      //console.log('toggle bubble: node key=root');
      if (typeof this.props.onToggle === 'function') {
        this.props.onToggle(nodeData, isOpen);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props;
      var dataSource = _props.dataSource;
      var history = _props.history;
      var openKeys = _props.openKeys;
      var defaultSelectedKey = _props.defaultSelectedKey;
      var itemRender = _props.itemRender;
      var children = _props.children;
      var className = _props.className;
      var others = (0, _objectWithoutProperties3.default)(_props, ['dataSource', 'history', 'openKeys', 'defaultSelectedKey', 'itemRender', 'children', 'className']);


      if (!dataSource || !dataSource.length) return false;
      var hideHeader = false;
      if (dataSource.length) {
        hideHeader = true;
        this._data = {
          key: 'root',
          title: 'root',
          children: dataSource
        };
      } else if ((typeof dataSource === 'undefined' ? 'undefined' : (0, _typeof3.default)(dataSource)) === 'object') {
        this._data = dataSource;
      }

      var cls = (0, _classnames2.default)((0, _defineProperty3.default)({
        'smartui_nav_menu': true
      }, className, className));

      return _react2.default.createElement(
        'div',
        { className: cls },
        _react2.default.createElement(_menu_item2.default, {
          ref: function ref(c) {
            _this2._root = c;
          },
          isRoot: true,
          level: '0',
          openKeys: openKeys,
          defaultSelectedKey: defaultSelectedKey,
          itemRender: itemRender,
          hideHeader: hideHeader,
          data: this._data,
          onClick: this.handleClick,
          onToggle: this.handleToggle })
      );
    }
  }]);
  return Menu;
}(_react2.default.Component); /*
                                //props: 
                                className
                                dataSource: 数组或对象
                                onClick 
                                onToggle
                                defalutSelectedKey
                                openKeys: []
                                shouldUpdate: 是否忽略后续的更新
                                itemRender
                              */

Menu._data = null;
Menu._root = null;
;

exports.default = Menu;