'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Progress = function (_React$Component) {
    (0, _inherits3.default)(Progress, _React$Component);

    function Progress() {
        (0, _classCallCheck3.default)(this, Progress);
        return (0, _possibleConstructorReturn3.default)(this, (Progress.__proto__ || (0, _getPrototypeOf2.default)(Progress)).apply(this, arguments));
    }

    (0, _createClass3.default)(Progress, [{
        key: '_renderOpr',
        value: function _renderOpr() {
            if (this.props.onClick) {
                return _react2.default.createElement(
                    'a',
                    { href: 'javascript:;', className: 'smartui_progress_opr', onClick: this.props.onClick },
                    _react2.default.createElement(_icon2.default, { value: 'pay-close' })
                );
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props;
            var type = _props.type;
            var label = _props.label;
            var labelwidth = _props.labelwidth;
            var labelstyle = _props.labelstyle;
            var size = _props.size;
            var className = _props.className;
            var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'label', 'labelwidth', 'labelstyle', 'size', 'className']);

            var value = this.props.value;

            if (value < 0) {
                value = 0;
            }
            if (value > 100) {
                value = 100;
            }

            var cls_bar = (0, _classnames2.default)((0, _defineProperty3.default)({
                smartui_progress: true,
                smartui_progress_small: size === 'small',
                smartui_progress_big: size === 'big'
            }, className, className));

            var cls_inner_bar = (0, _classnames2.default)((0, _defineProperty3.default)({
                smartui_progress_inner_bar: true
            }, 'smartui_progress_inner_bar_' + type, true));

            var style_label = (0, _assign2.default)({}, { width: labelwidth ? labelwidth : 70 }, labelstyle);

            return _react2.default.createElement(
                'div',
                { className: cls_bar },
                _react2.default.createElement(
                    'span',
                    { className: 'smartui_progress_label', style: style_label },
                    label ? label : ''
                ),
                _react2.default.createElement(
                    'div',
                    { className: 'smartui_progress_bar' },
                    _react2.default.createElement('div', { className: cls_inner_bar, style: { width: value + '%' } })
                ),
                type === 'big' ? _react2.default.createElement(
                    'span',
                    { className: 'smartui_progress_value' },
                    value + '%'
                ) : null,
                this._renderOpr()
            );
        }
    }]);
    return Progress;
}(_react2.default.Component); /**
                               *  Created by beth on 2016年9月13日
                               *  progress
                               */

Progress.propTypes = {
    progress: _react2.default.PropTypes.number
};
Progress.defaultProps = {
    value: 0,
    type: 'default',
    size: 'small'
};
exports.default = Progress;