'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _tab_body = require('./tab_body');

var _tab_body2 = _interopRequireDefault(_tab_body);

var _tab_body_item = require('./tab_body_item');

var _tab_body_item2 = _interopRequireDefault(_tab_body_item);

var _navbar = require('./navbar');

var _navbar2 = _interopRequireDefault(_navbar);

var _navbar_item = require('./navbar_item');

var _navbar_item2 = _interopRequireDefault(_navbar_item);

var _tabbar = require('./tabbar');

var _tabbar2 = _interopRequireDefault(_tabbar);

var _tabbar_item = require('./tabbar_item');

var _tabbar_item2 = _interopRequireDefault(_tabbar_item);

var _tabbar_icon = require('./tabbar_icon');

var _tabbar_icon2 = _interopRequireDefault(_tabbar_icon);

var _tabbar_label = require('./tabbar_label');

var _tabbar_label2 = _interopRequireDefault(_tabbar_label);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月13日
 *  placeholder
 */

var Tab = function (_React$Component) {
    (0, _inherits3.default)(Tab, _React$Component);

    function Tab() {
        var _ref;

        var _temp, _this, _ret;

        (0, _classCallCheck3.default)(this, Tab);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = Tab.__proto__ || (0, _getPrototypeOf2.default)(Tab)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            index: _this.props.defaultIndex
        }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
    }

    (0, _createClass3.default)(Tab, [{
        key: 'handleHeaderClick',
        value: function handleHeaderClick(idx) {
            this.setState({ index: idx });
            if (this.props.onChange) this.props.onChange(idx);
        }
    }, {
        key: 'parseNavBar',
        value: function parseNavBar(children) {
            var navHeaders = [];
            var navContents = [];

            _react2.default.Children.map(children, function (child) {
                var _child$props = child.props;
                var children = _child$props.children;
                var type = _child$props.type;
                var others = (0, _objectWithoutProperties3.default)(_child$props, ['children', 'type']);

                if (child.type === _navbar_item2.default) {
                    navHeaders.push(child);
                    if (children) navContents.push(_react2.default.createElement(_tab_body_item2.default, { children: children }));
                } else if (child.type === _tab_body_item2.default) {
                    navContents.push(child);
                }
            });

            return { navHeaders: navHeaders, navContents: navContents };
        }
    }, {
        key: 'renderNavBar',
        value: function renderNavBar(headers, contents, cls) {
            var _this2 = this;

            var _headers = headers.map(function (item, idx) {
                return _react2.default.cloneElement(item, {
                    key: idx,
                    active: _this2.state.index === idx,
                    onClick: _this2.handleHeaderClick.bind(_this2, idx, item)
                });
            });

            var _contents = contents.map(function (item, idx) {
                return _react2.default.cloneElement(item, {
                    key: idx,
                    active: _this2.state.index === idx,
                    tabIndex: idx
                });
            });

            return _react2.default.createElement(
                'div',
                { className: cls },
                _react2.default.createElement(
                    _navbar2.default,
                    null,
                    _headers
                ),
                _react2.default.createElement(
                    _tab_body2.default,
                    null,
                    _contents
                )
            );
        }
    }, {
        key: 'parseTabBar',
        value: function parseTabBar(children) {
            var tabHeaders = [];
            var tabContents = [];

            _react2.default.Children.map(children, function (child) {
                var _child$props2 = child.props;
                var children = _child$props2.children;
                var type = _child$props2.type;
                var others = (0, _objectWithoutProperties3.default)(_child$props2, ['children', 'type']);

                if (child.type === _tabbar_item2.default) {
                    tabHeaders.push(child);
                    if (children) tabContents.push(_react2.default.createElement(_tab_body_item2.default, { children: children }));
                } else if (child.type === _tab_body_item2.default) {
                    tabContents.push(child);
                }
            });

            return { tabHeaders: tabHeaders, tabContents: tabContents };
        }
    }, {
        key: 'renderTabBar',
        value: function renderTabBar(headers, contents, cls) {
            var _this3 = this;

            var _headers = headers.map(function (item, idx) {
                return _react2.default.cloneElement(item, {
                    key: idx,
                    active: _this3.state.index === idx,
                    onClick: _this3.handleHeaderClick.bind(_this3, idx, item)
                });
            });

            var _contents = contents.map(function (item, idx) {
                return _react2.default.cloneElement(item, {
                    key: idx,
                    active: _this3.state.index === idx,
                    tabIndex: idx
                });
            });

            return _react2.default.createElement(
                'div',
                { className: cls },
                _react2.default.createElement(
                    _tab_body2.default,
                    null,
                    _contents
                ),
                _react2.default.createElement(
                    _tabbar2.default,
                    null,
                    _headers
                )
            );
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props;
            var children = _props.children;
            var className = _props.className;
            var type = _props.type;
            var others = (0, _objectWithoutProperties3.default)(_props, ['children', 'className', 'type']);

            var cls = (0, _classnames2.default)({
                smartui_tab: true
            }, className);

            switch (type) {
                case 'tabbar':
                    var _parseTabBar = this.parseTabBar(children);

                    var tabHeaders = _parseTabBar.tabHeaders;
                    var tabContents = _parseTabBar.tabContents;

                    return this.renderTabBar(tabHeaders, tabContents, cls);
                    break;
                case 'navbar':
                    var _parseNavBar = this.parseNavBar(children);

                    var navHeaders = _parseNavBar.navHeaders;
                    var navContents = _parseNavBar.navContents;

                    return this.renderNavBar(navHeaders, navContents, cls);
                    break;
                default:
                    return _react2.default.createElement(
                        'div',
                        (0, _extends3.default)({ className: cls }, others),
                        children
                    );
                    break;
            }
        }
    }]);
    return Tab;
}(_react2.default.Component);

Tab.propTypes = {
    type: _react2.default.PropTypes.string,
    defaultIndex: _react2.default.PropTypes.number,
    onChange: _react2.default.PropTypes.func
};
Tab.defaultProps = {
    type: 'normal',
    defaultIndex: 0
};
exports.default = Tab;